> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/android/set-up-luciq-for-android/set-up-bug-reporting/set-up-proactive-reporting.md).

# Set up Proactive Reporting

Ask Android users about a problem after Luciq detects a force restart or crash. Configure the gaps between prompts and after app launch with one API.

### Enabling Proactive Reporting

By default, the Proactive Reporting is disabled. You can use the below API to:

* Enable/disable the feature.
* Configure the gap between two pop-ups for the same user.
* Configure the gap between the app launch and the first pop-up.

{% hint style="info" %}
The gap calculation starts when our SDK detects a Force Restart or a Crash occurrence, usually a few milliseconds after the launch.
{% endhint %}

{% tabs %}
{% tab title="Kotlin" %}
{% code overflow="wrap" %}

```kotlin
val configurations = ProactiveReportingConfigs.Builder() 
                      .isEnabled(true) //Enable/disable
                      .setGapBetweenModals(24) // Time in seconds
                      .setModalDelayAfterDetection(30) // Time in seconds
                      .build() 
BugReporting.setProactiveReportingConfigurations(configurations)
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code overflow="wrap" %}

```java
ProactiveReportingConfigs configs = new ProactiveReportingConfigs.Builder()
                .setGapBetweenModals(24) // Time in seconds
                .setModalDelayAfterDetection(20) // Time in seconds
                .isEnabled(true) //Enable/disable
                .build();

BugReporting.setProactiveReportingConfigurations(configs);
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/android/set-up-luciq-for-android/set-up-bug-reporting/set-up-proactive-reporting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
